ScpFromMessageBySftp (Apache Ant API)
Keywords: org.apache.tools.ant.taskdefs.optional.ssh.ScpFromMessageBySftp class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs.optional.ssh
Class ScpFromMessageBySftp

    java.lang.Object
      org.apache.tools.ant.taskdefs.optional.ssh.AbstractSshMessage
          org.apache.tools.ant.taskdefs.optional.ssh.ScpFromMessage
              org.apache.tools.ant.taskdefs.optional.ssh.ScpFromMessageBySftp

    public class ScpFromMessageBySftp

extends ScpFromMessage

A helper object representing an scp download.

Constructor Summary
`ScpFromMessageBySftp(boolean verbose, com.jcraft.jsch.Session session, java.lang.String aRemoteFile, java.io.File aLocalFile, boolean recursive)` Constructor for ScpFromMessageBySftp.
`ScpFromMessageBySftp(boolean verbose, com.jcraft.jsch.Session session, java.lang.String aRemoteFile, java.io.File aLocalFile, boolean recursive, boolean preserveLastModified)` Constructor for ScpFromMessageBySftp.
`ScpFromMessageBySftp(com.jcraft.jsch.Session session, java.lang.String aRemoteFile, java.io.File aLocalFile, boolean recursive)` Constructor for ScpFromMessageBySftp.

Method Summary
`void` | `execute()` Carry out the transfer.

Methods inherited from class org.apache.tools.ant.taskdefs.optional.ssh.ScpFromMessage
`getPreserveLastModified`

Methods inherited from class org.apache.tools.ant.taskdefs.optional.ssh.AbstractSshMessage
`getProgressMonitor, getVerbose, log, logStats, openExecChannel, openSftpChannel, sendAck, setLogListener, trackProgress, waitForAck`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ScpFromMessageBySftp

    public ScpFromMessageBySftp(boolean verbose,
                                com.jcraft.jsch.Session session,
                                java.lang.String aRemoteFile,
                                java.io.File aLocalFile,
                                boolean recursive)

  Constructor for ScpFromMessageBySftp.

  Parameters:
    `verbose` - if true log extra information
    `session` - the Scp session to use
    `aRemoteFile` - the remote file name
    `aLocalFile` - the local file
    `recursive` - if true use recursion
  Since:
    Ant 1.7

### ScpFromMessageBySftp

    public ScpFromMessageBySftp(com.jcraft.jsch.Session session,
                                java.lang.String aRemoteFile,
                                java.io.File aLocalFile,
                                boolean recursive)

  Constructor for ScpFromMessageBySftp.

  Parameters:
    `session` - the Scp session to use
    `aRemoteFile` - the remote file name
    `aLocalFile` - the local file
    `recursive` - if true use recursion

### ScpFromMessageBySftp

    public ScpFromMessageBySftp(boolean verbose,
                                com.jcraft.jsch.Session session,
                                java.lang.String aRemoteFile,
                                java.io.File aLocalFile,
                                boolean recursive,
                                boolean preserveLastModified)

  Constructor for ScpFromMessageBySftp.

  Parameters:
    `verbose` - if true log extra information
    `session` - the Scp session to use
    `aRemoteFile` - the remote file name
    `aLocalFile` - the local file
    `recursive` - if true use recursion
    `preserveLastModified` - whether to preserve file modification times
  Since:
    Ant 1.8.0

Method Detail

### execute

    public void execute()
                 throws java.io.IOException,
                        com.jcraft.jsch.JSchException

  Carry out the transfer.

  Overrides:
    `execute` in class `ScpFromMessage`
  Throws:
    `java.io.IOException` - on i/o errors
    `com.jcraft.jsch.JSchException` - on errors detected by scp

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD